import React from 'react';
import styled from 'styled-components';
import Footer from './components/Footer';
import Header from './components/Header';
import Main from './components/Main';

const Container = styled.div`
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
`;

const MainContent = styled.div`
  height: 100%;
`;

function App() {
  return (
    <Container>
      <Header />
      <MainContent>
        <Main />
      </MainContent>
      <Footer />
    </Container>
  );
}

export default App;
